> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitytask queuespaces tasks

> List the in-flight AI generation tasks of a space

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/task-queue/spaces/{spaceId}/tasks
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/task-queue/spaces/{spaceId}/tasks:
    get:
      tags:
        - admin
        - observability
      description: |-
        List the in-flight AI generation tasks of a space

        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          required: false
          name: take
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  sampledAt:
                    type: string
                  total:
                    type: number
                  tasks:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        type:
                          type: string
                        status:
                          type: string
                        tableId:
                          type: string
                          nullable: true
                        tableName:
                          type: string
                          nullable: true
                        baseId:
                          type: string
                          nullable: true
                        baseName:
                          type: string
                          nullable: true
                        createdBy:
                          type: string
                        createdByName:
                          type: string
                          nullable: true
                        createdTime:
                          type: string
                        runs:
                          type: object
                          properties:
                            pending:
                              type: number
                            queued:
                              type: number
                            processing:
                              type: number
                          required:
                            - pending
                            - queued
                            - processing
                        uncreatedRuns:
                          type: number
                        totalRuns:
                          type: number
                          nullable: true
                        lastError:
                          type: string
                          nullable: true
                      required:
                        - taskId
                        - type
                        - status
                        - tableId
                        - tableName
                        - baseId
                        - baseName
                        - createdBy
                        - createdByName
                        - createdTime
                        - runs
                        - uncreatedRuns
                        - totalRuns
                        - lastError
                required:
                  - sampledAt
                  - total
                  - tasks
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/task-queue/spaces/%7BspaceId%7D/tasks?skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/task-queue/spaces/%7BspaceId%7D/tasks?skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/task-queue/spaces/%7BspaceId%7D/tasks?skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/task-queue/spaces/%7BspaceId%7D/tasks?skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````